Skip to main content
GET
/
v2
/
auto-monitor-setups
List auto monitor setups
curl --request GET \
  --url https://api.traceloop.com/v2/auto-monitor-setups \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.traceloop.com/v2/auto-monitor-setups"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.traceloop.com/v2/auto-monitor-setups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "created_at": "<string>",
    "env_project_id": "<string>",
    "evaluators": [
      {
        "binding_id": "<string>",
        "error_message": "<string>",
        "evaluator_id": "<string>",
        "evaluator_type": "<string>",
        "input_schema": [
          {
            "name": "<string>",
            "description": "<string>",
            "enum_values": [
              "<string>"
            ],
            "label": "<string>"
          }
        ],
        "output_schema": [
          {
            "name": "<string>",
            "description": "<string>",
            "enum_values": [
              "<string>"
            ],
            "label": "<string>"
          }
        ],
        "processed_at": "<string>",
        "status": "<string>"
      }
    ],
    "external_id": "<string>",
    "id": "<string>",
    "init_rules": [
      {
        "key": "<string>",
        "source": "<string>",
        "value": "<string>",
        "value_type": "<string>"
      }
    ],
    "org_id": "<string>",
    "project_id": "<string>",
    "status": "<string>",
    "updated_at": "<string>"
  }
]
{
"error": "error message"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

status
string

Filter by status (e.g., pending, completed)

external_id
string

Filter by external ID

Response

OK

created_at
string
env_project_id
string
evaluators
object[]
external_id
string
id
string
init_rules
object[]
org_id
string
project_id
string
status
string
updated_at
string